## jpy 0.13.0

=== .github/env/Linux/requirements.txt ===
wheel
auditwheel
patchelf

## jpy 0.8

=== debian/changelog ===
jpy (0.8-5) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * debian/patches/ppc64el.patch: fixing ppc64el arch dir to fix FTBFS.
    OpenJDK is currently using notation 'ppc64le'. Closes: #833174

  [ Chris Lamb ]
  * Patch for bit-reproduciblity. Closes: #834897.

  [Alastair McKinstry]
  * Enable powerpc, arm64, sparc64 archs.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2016 18:55:30 +0100

jpy (0.8-4) unstable; urgency=medium

  * Adapt patch to detect more archs correctly

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 09:15:00 +0100

jpy (0.8-3) unstable; urgency=medium

  * Remove hard-coded amd64/i386 arch for JVM search.
    Use `dpkg --print-architecture`

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 09:14:41 +0100

jpy (0.8-2) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Patch to make producible: don't output build-date in properties file

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 09:49:02 +0100

jpy (0.8-1) unstable; urgency=low

  * Initial release. Closes: #815893.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2016 08:16:27 +0000

=== debian/control ===
Source: jpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), default-jdk, python-all-dev, python3-all-dev,
  python-setuptools, chrpath, dh-python, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/bcdev/jpy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/jpy.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-jpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, default-jre | java7-runtime-headless
Provides: ${python:Provides}
Description: Bi-directional Python-Java bridge
 jpy is a **bi-directional** Python-Java bridge which you can use to embed 
 Java code in Python programs or the other way round. 
 It has been designed particularly with regard to maximum 
 data transfer speed between the two languages.
 It comes with a number of outstanding features:
 .
  * Fully translates Java class hierarchies to Python
  * Transparently handles Java method overloading
  * Support of Java multi-threading
  * Fast and memory-efficient support of primitive Java array parameters via
   `Python buffers <http://docs.python.org/3.3/c-api/buffer.html>`_
  * Support of Java methods that modify primitive Java array parameters
     (mutable parameters)
  * Java arrays translate into Python sequence objects
  * Java API for accessing Python objects (``jpy.jar``)
 .
 This package provides the Python interface.

Package: python3-jpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, default-jre | java7-runtime-headless
Provides: ${python3:Provides}
Description: Bi-directional Python-Java bridge (Python3) 
 jpy is a **bi-directional** Python-Java bridge which you can use to embed
 Java code in Python programs or the other way round.
 It has been designed particularly with regard to maximum 
 data transfer speed between the two languages.
 It comes with a number of outstanding features:
 .
  * Fully translates Java class hierarchies to Python
  * Transparently handles Java method overloading
  * Support of Java multi-threading
  * Fast and memory-efficient support of primitive Java array parameters via
    `Python buffers <http://docs.python.org/3.3/c-api/buffer.html>`_
  * Support of Java methods that modify primitive Java array parameters 
    (mutable parameters)
  * Java arrays translate into Python sequence objects
  * Java API for accessing Python objects (``jpy.jar``)
  .
  This package provides the Python3 interface.

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
export DH_VERBOSE=1

PYVERS:=$(shell pyversions -r)
PY3VERS:=$(shell py3versions -r)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

dh_auto_test:
	for p in $(PYVERS) $(PY3VERS) ; do \
		$$p ./setup.py test  ; \
		done

override_dh_auto_install:
	for p in $(PYVERS) $(PY3VERS) ; do \
                $$p setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb ; \
                done
	dh_auto_install
	find . -name '*.so' -exec chrpath -d {} \;
	# Strip build path; the libs will exist under /usr, not debian/tmp
	find . -name 'jpyconfig.properties' -exec sed -i -e 's,$(CURDIR)/debian/tmp,,g' {} \;

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php python-jpype-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/python-jpype-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/python-jpype-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/python-jpype/python-jpype-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html python-jpype-(.*)\.tar\.gz

## jpy 0.9

=== debian/changelog ===
jpy (0.9-1) unstable; urgency=medium

  * New upstream release
    - no_ez-setup patch obsolete
    - Patch added to not build Java component with Maven (yet)
  * Standards-Version: 4.1.3
  * Move VCS to point to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Feb 2018 10:31:43 +0000

jpy (0.8-9) unstable; urgency=medium

  * Log class has no method warning. Use error instead. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2017 10:41:54 +0100

jpy (0.8-8) unstable; urgency=medium

  * Add patch to disable failure on test failure (mips test fails
    randomly due to resource issues) Closes: #866536

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2017 07:10:20 +0100

jpy (0.8-7) unstable; urgency=medium

  * Ignore tests on mips, mipsel; they fail intermittently due to low mem

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Jul 2017 09:38:14 +0100

jpy (0.8-6) unstable; urgency=medium

  * Update watch file
  * DH_COMPAT=10, debhelper dependency updated
  * Standards-Version: 4.0.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Jul 2017 09:13:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), default-jdk, python-all-dev, python3-all-dev,
-  python-setuptools, chrpath, dh-python, python3-setuptools
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), 
+ default-jdk, 
+ python-all-dev, 
+ python3-all-dev,
+ python-setuptools, 
+ chrpath, 
+ dh-python, 
+ python3-setuptools
+Standards-Version: 4.1.3
 Homepage: https://github.com/bcdev/jpy.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/jpy.git
+Vcs-Browser: https://salsa.debian.org:/science-team/jpy.git
+Vcs-Git: https://salsa.debian.org:/science-team/jpy.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

## jpy 0.9.0

=== debian/changelog ===
jpy (0.9.0-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:24:59 +0000

jpy (0.9.0-4) unstable; urgency=medium

  * Team upload.

  [ Alastair McKinstry ]
  * Drop hard-coded xz compression
  * Use dh-sequence-python3 rather than --with python3
  * Use debhelper-compat (=13)
  * Standards-Version: 4.5.1
  * Add d/gpb.conf pointing to DEP-14 branches
  * Point vcs-git to debian/latest branch

  [ Louis-Philippe Véronneau ]
  * Update the VCS paths. Closes: #946109

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Drop custom source compression.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * Patch: Python 3.10 support, thanks Steve Langasek (Closes: #999409)
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Nov 2021 13:54:06 -0400

jpy (0.9.0-3) unstable; urgency=medium

  * Drop python-jpy for python2 transition
  * Standards-Version: 4.4.0
  * Switch to pybuild buildsystem for debhelper 12
  * Use debhelper level 12
  * Update default_jvm.patch
  * Disable automated tests as pybuild gets the paths wrong (for now)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jul 2019 12:53:58 +0100

jpy (0.9.0-2) unstable; urgency=medium

  * Drop obsolete X-Python*-Version field in d/control
  * Stanrdards-Version: 4.1.5
  * Change refs in d/docs to .md files from .rst; debhelper now fails on this
    change, not silently. Closes: #903333

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 11:31:02 +0100

jpy (0.9.0-1) unstable; urgency=medium

  * Change version from 0.9 to 0.9.0 to match upstream
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 May 2018 08:56:04 +0100

=== debian/control ===
Source: jpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 default-jdk,
 python3-all-dev,
 chrpath,
 python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/bcdev/jpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jpy
Vcs-Git: https://salsa.debian.org/python-team/packages/jpy.git
Rules-Requires-Root: no

Package: python3-jpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, default-jre | java7-runtime-headless
Provides: ${python3:Provides}
Description: Bi-directional Python-Java bridge (Python3)
 jpy is a **bi-directional** Python-Java bridge which you can use to embed
 Java code in Python programs or the other way round.
 It has been designed particularly with regard to maximum
 data transfer speed between the two languages.
 It comes with a number of outstanding features:
 .
  * Fully translates Java class hierarchies to Python
  * Transparently handles Java method overloading
  * Support of Java multi-threading
  * Fast and memory-efficient support of primitive Java array parameters via
    `Python buffers <http://docs.python.org/3.3/c-api/buffer.html>`_
  * Support of Java methods that modify primitive Java array parameters
    (mutable parameters)
  * Java arrays translate into Python sequence objects
  * Java API for accessing Python objects (``jpy.jar``)
  .
  This package provides the Python3 interface.

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
export DH_VERBOSE=1

PY3VERS:=$(shell py3versions -r)

export PYBUILD_NAME=jpy
%:
	dh $@ --buildsystem=pybuild

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

override_dh_auto_test:
	@echo "Tests disabled: pybuild gets paths wrong."

override_dh_auto_install:
	for p in $(PY3VERS) ; do \
                $$p setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb ; \
                done
	dh_auto_install
	find . -name '*.so' -exec chrpath -d {} \;
	# Strip build path; the libs will exist under /usr, not debian/tmp
	find . -name 'jpyconfig.properties' -exec sed -i -e 's,$(CURDIR)/debian/tmp,,g' {} \;

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/bcdev/jpy/tags .*/v?(\d\S*)\.tar\.gz

## jpy 0.13.0

=== debian/changelog ===
jpy (0.13.0-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:12:17 +0000

jpy (0.13.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:03:32 +0000

jpy (0.13.0-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:21:51 -0500

jpy (0.13.0-1) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * Update Homepage and URLs to new GitHub org, jpy-consortium.

  [ Edward Betts ]
  * d/control: Remove .git from end of github URL in Homepage field.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Bo YU ]
  * New Upstream Release. 
    Fix ftbfs on python3.11. Closes: #1022176

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 15 Nov 2022 18:26:08 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  python3-all-dev,
  chrpath,
  python3-setuptools
-Standards-Version: 4.5.1
-Homepage: https://github.com/bcdev/jpy.git
+Standards-Version: 4.6.1
+Homepage: https://github.com/jpy-consortium/jpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/jpy.git
 Rules-Requires-Root: no
@@ -30,10 +30,10 @@
   * Transparently handles Java method overloading
   * Support of Java multi-threading
   * Fast and memory-efficient support of primitive Java array parameters via
-    `Python buffers <http://docs.python.org/3.3/c-api/buffer.html>`_
+    `Python buffers` (http://docs.python.org/3.3/c-api/buffer.html)
   * Support of Java methods that modify primitive Java array parameters
     (mutable parameters)
   * Java arrays translate into Python sequence objects
   * Java API for accessing Python objects (``jpy.jar``)
-  .
-  This package provides the Python3 interface.
+ .
+ This package provides the Python3 interface.

## jpy 0.17.0

=== .github/env/Linux/requirements.txt ===
<<<<<<< HEAD
wheel
auditwheel
=======
setuptools
wheel
auditwheel>=6.0.0; python_version >= '3.8'
auditwheel>=5.4.0; python_version == '3.7'
auditwheel>=5.3.0; python_version == '3.6'
>>>>>>> upstream/0.17.0
patchelf

=== debian/changelog ===
jpy (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jul 2024 11:23:15 +0100

jpy (0.16.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0; no changes required
  * Patch to fix FTBFS with g++-14. Closes: #1075102

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Jul 2024 10:55:52 +0100

jpy (0.9.0-5) UNRELEASED; urgency=medium

  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jan 2023 12:46:53 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all-dev,
  chrpath,
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jpy-consortium/jpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/jpy.git

## jpy 0.18.0

=== debian/changelog ===
jpy (0.18.0-2) unstable; urgency=medium

  * Use zero on zero-assembler archs. Thanks to Adrian Bunk for patch.
    Closes: #1079583

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2024 12:13:50 +0100

jpy (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete python3.10.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Aug 2024 08:12:33 +0100

## jpy 1.0.0

=== debian/changelog ===
jpy (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop undefined python3:Provides

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2024 07:51:22 +0000

jpy (0.19.0-1) unstable; urgency=medium

  * New upstream release
  * Drop merged zero-arch.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2024 19:09:04 +0000

## jpy 1.1.0

=== debian/changelog ===
jpy (1.1.0-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:21:18 +0000

jpy (1.1.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:13:27 +0000

jpy (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jan 2025 07:47:04 +0000

## jpy 1.2.0

=== .github/requirements.txt ===
wheel

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== .github/env/Linux/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 =======
 setuptools
 wheel
+auditwheel>=6.1.0; python_version >= '3.13'
 auditwheel>=6.0.0; python_version >= '3.8'
 auditwheel>=5.4.0; python_version == '3.7'
 auditwheel>=5.3.0; python_version == '3.6'

=== .github/env/macOS/requirements.txt ===
<<<<<<< HEAD
=======
setuptools
>>>>>>> upstream/0.17.0
wheel

=== debian/changelog ===
jpy (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Oct 2025 11:56:21 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Package: python3-jpy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, default-jre | java7-runtime-headless
-Provides: ${python3:Provides}
 Description: Bi-directional Python-Java bridge (Python3)
  jpy is a **bi-directional** Python-Java bridge which you can use to embed
  Java code in Python programs or the other way round.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 export PYBUILD_NAME=jpy
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 build-python%:
 	python$* setup.py build
@@ -20,7 +20,7 @@
 override_dh_auto_install:
 	for p in $(PY3VERS) ; do \
                 $$p setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb ; \
-                done
+        done
 	dh_auto_install
 	find . -name '*.so' -exec chrpath -d {} \;
 	# Strip build path; the libs will exist under /usr, not debian/tmp

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/jpy-consortium/jpy.git \
refs/tags/v([\d\.]+)

## jpy 1.3.0

=== .github/env/Linux/requirements.txt ===
setuptools
wheel
auditwheel>=6.4.2; python_version >= '3.14'
auditwheel>=6.1.0; python_version >= '3.13'
patchelf

=== debian/changelog ===
jpy (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Nov 2025 08:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all-dev,
  chrpath,
  python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jpy-consortium/jpy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jpy
 Vcs-Git: https://salsa.debian.org/python-team/packages/jpy.git
